Bug 971547 - AttributeError: 'NoneType' object has no attribute 'get_ssid'
AttributeError: 'NoneType' object has no attribute 'get_ssid'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:0d2edcf1183ba866f65cab70de6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 15:02 EDT by Iván Jiménez
Modified: 2014-02-21 14:17 EST (History)
8 users (show)

See Also:
Fixed In Version: anaconda-19.30.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-21 14:17:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (493.16 KB, text/plain)
2013-06-06 15:03 EDT, Iván Jiménez
no flags Details
File: anaconda.log (10.42 KB, text/plain)
2013-06-06 15:03 EDT, Iván Jiménez
no flags Details
File: backtrace (707 bytes, text/plain)
2013-06-06 15:03 EDT, Iván Jiménez
no flags Details
File: environ (866 bytes, text/plain)
2013-06-06 15:03 EDT, Iván Jiménez
no flags Details
File: ifcfg.log (1.36 KB, text/plain)
2013-06-06 15:03 EDT, Iván Jiménez
no flags Details
File: lsblk_output (3.13 KB, text/plain)
2013-06-06 15:03 EDT, Iván Jiménez
no flags Details
File: messages (337.00 KB, text/plain)
2013-06-06 15:04 EDT, Iván Jiménez
no flags Details
File: nmcli_dev_list (5.09 KB, text/plain)
2013-06-06 15:04 EDT, Iván Jiménez
no flags Details
File: program.log (41.92 KB, text/plain)
2013-06-06 15:04 EDT, Iván Jiménez
no flags Details
File: storage.log (174.30 KB, text/plain)
2013-06-06 15:04 EDT, Iván Jiménez
no flags Details

  None (edit)
Description Iván Jiménez 2013-06-06 15:02:30 EDT
Description of problem:
Under GNOME, I clicked on Quit in the app menu
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 361, in activated_connections
    dev_info = device.get_active_access_point().get_ssid()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1124, in status
    ac = self.network_control_box.activated_connections()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1197, in _update_status
    hubQ.send_message(self.__class__.__name__, self.status)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/utils.py", line 35, in wrap
    func(*args)
AttributeError: 'NoneType' object has no attribute 'get_ssid'

Version-Release number of selected component:
anaconda-19.30-1.fc19.x86_64

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang es_ES.utf8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-Be rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
core_backtrace: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
packaging.log:  
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/utils.py", line 35, in wrap
    func(*args)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1197, in _update_status
    hubQ.send_message(self.__class__.__name__, self.status)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1124, in status
    ac = self.network_control_box.activated_connections()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 361, in activated_connections
    dev_info = device.get_active_access_point().get_ssid()
AttributeError: 'NoneType' object has no attribute 'get_ssid'
Comment 1 Iván Jiménez 2013-06-06 15:03:15 EDT
Created attachment 757828 [details]
File: anaconda-tb
Comment 2 Iván Jiménez 2013-06-06 15:03:21 EDT
Created attachment 757829 [details]
File: anaconda.log
Comment 3 Iván Jiménez 2013-06-06 15:03:27 EDT
Created attachment 757830 [details]
File: backtrace
Comment 4 Iván Jiménez 2013-06-06 15:03:31 EDT
Created attachment 757831 [details]
File: environ
Comment 5 Iván Jiménez 2013-06-06 15:03:35 EDT
Created attachment 757832 [details]
File: ifcfg.log
Comment 6 Iván Jiménez 2013-06-06 15:03:39 EDT
Created attachment 757834 [details]
File: lsblk_output
Comment 7 Iván Jiménez 2013-06-06 15:04:09 EDT
Created attachment 757840 [details]
File: messages
Comment 8 Iván Jiménez 2013-06-06 15:04:14 EDT
Created attachment 757841 [details]
File: nmcli_dev_list
Comment 9 Iván Jiménez 2013-06-06 15:04:28 EDT
Created attachment 757842 [details]
File: program.log
Comment 10 Iván Jiménez 2013-06-06 15:04:54 EDT
Created attachment 757844 [details]
File: storage.log
Comment 11 Radek Vykydal 2013-06-07 03:48:15 EDT
This should be fixed in scope of bug #963059, so in anaconda-19.30.3-1.

Note You need to log in before you can comment on or make changes to this bug.